Bug 169487 - hald - "trap stack segment" messages
hald - "trap stack segment" messages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 15:25 EDT by Michal Jaegermann
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 19:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-28 15:25:29 EDT
Description of problem:

I am seeing now consistently in logs on x86_64 entries like that:

hald-probe-smbi[2310] trap stack segment rip:401147 rsp:7fffff815ae0 error:0

The next line in logs says:

fstab-sync[2312]: removed all generated mount points

and further as usual.

hal-0.5.4-3 was installed on 2005-08-31 but going back through logs I see
the earliest instances of such message from 2005-09-13 and they consistently
show up ever since.  The only things which is changing in error messages
are different values for rip.

On 2005-09-13 kernel 2.6.13-1.1552_FC5 was installed and it does not look 
like that anything else in that series of updates could be relevant.
A kernel running right now is 2.6.13-1.1578_FC5

I do not see something similar on an i386 box.

Version-Release number of selected component (if applicable):
hal-0.5.4-3

How reproducible:
on every boot
Comment 1 Michal Jaegermann 2005-11-07 19:39:13 EST
These errors still contine with an abandon.  Maybe not that surprising
as this is still the same version of hal.

    hald-probe-smbi[2318] trap stack segment rip:401147 rsp:7fffff81e0c0
    hald-probe-smbi[2318] trap stack segment rip:401147 rsp:7fffff8b3fb0
    hald-probe-smbi[2318] trap stack segment rip:401147 rsp:7fffffa876f0
    hald-probe-smbi[2318] trap stack segment rip:401147 rsp:7fffffe81dd0

and each followed by "removed all generated mount points".

I am not sure but maybe observed recently an extreme reluctance of
a session splash to go away has something to do with these?
Comment 2 David Zeuthen 2006-09-28 19:49:58 EDT
I think this is fixed in 0.5.8.1 otherwise please reopen. Thanks.

Note You need to log in before you can comment on or make changes to this bug.